Subject: asm type names

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 26 Apr 2002 17:21:12 +0200 (MEST)

Hi,

include/asm-mips*/unaligned.h uses different terminology for the same sizes,
sometimes even in the same file, making things a bit confusing:
  - double vs. quad
  - word vs. long
  - halfword vs. word

Which set of terms is preferred, so we can increase consistency?

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds

---

From: Ralf Baechle <[email-masked]>
Date: Fri, 26 Apr 2002 14:05:01 -0700

> Which set of terms is preferred, so we can increase consistency?

The MIPS terminology is:

  - 2 bytes - halfword
  - 4 bytes - word
  - 8 bytes - doubleword
  - 16 bytes - quadword

Unfortunately part of the industry have a different idea of what the size
of a word should be, so for example on i386 the use of the terms is:

 - 2 bytes word
 - 4 bytes doubleword
 - 8 bytes quadword

At times it's hard to avoid confusion; in general I therefore prefer to
avoid these terms or their abreviations but there are places like the
old assembler implementation of inw() where both are used next to each
other ...

  Ralf